Cyberduck Mountain Duck CLI

#4527 closed defect (fixed)

Escaped absolute path not valid

Reported by: anonymous Owned by: dkocher
Priority: normal Milestone: 3.8
Component: webdav Version: 3.4.2
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description (last modified by dkocher)

I'm trying to connect via WebDAV to our internal WebDAV server, and I'm getting a lot of errors with connecting as well as navigating the server.

When I try to connect, I repeatedly get "abs_path requested" if I put anything at all in the New Bookmark "Path" field. If I leave this blank, it works, but I get no file listing. If I then use the Go command to switch to the path I originally wanted, I can successfully move to that folder.

Opening any of the folders from that path then returns

escaped absolute path not valid.

and displays nothing. I can successfully connect and browse this server using the Transmit WebDAV client, as well as the Finder.

Any ideas?

Change History (12)

comment:1 Changed on Jun 9, 2010 at 3:39:16 PM by anonymous

Sorry, I forgot to include the transcript output:

Date: Wed, 09 Jun 2010 15:34:14 GMT[\r][\n] Server: Microsoft-IIS/6.0[\r][\n] MicrosoftOfficeWebServer: 5.0_Pub[\r][\n] X-Powered-By: ASP.NET[\r][\n] Content-Type: text/xml[\r][\n] Content-Length: 10640[\r][\n] DAV: 1, 2[\r][\n] MS-Author-Via: DAV[\r][\n] [\r][\n]

Version 0, edited on Jun 9, 2010 at 3:39:16 PM by anonymous (next)

comment:2 Changed on Jun 14, 2010 at 7:56:53 PM by Ram

  • Architecture set to Intel

I have the same problem. Their are a couple folders on a server that I can't open. I get the

escaped absolute path not valid

too. I can brows them from the finder or directly from safari though. On Mac OS X 10.6.3.

Last edited on Nov 25, 2010 at 12:39:39 PM by dkocher (previous) (diff)

comment:3 Changed on Jul 29, 2010 at 4:29:38 PM by dkocher

  • Milestone set to 3.7
  • Status changed from new to assigned

comment:4 Changed on Sep 10, 2010 at 8:38:52 PM by dkocher

Will think about switching from Slide (deprecated) to Sardine for a more robust WebDAV implementation.

comment:5 Changed on Sep 14, 2010 at 5:27:17 PM by dkocher

  • Milestone changed from 4.0 to 4.1

comment:6 Changed on Oct 4, 2010 at 5:03:53 PM by dkocher

  • Summary changed from WebDAV connections errors: "abs_path requested", "escaped absolute path not valid." to Escaped absolute path not valid

issue with abs_path requested when default path in bookmark is not absolute fixed in r7196.

comment:7 Changed on Nov 20, 2010 at 11:05:38 AM by dkocher

  • Milestone changed from 4.1 to 4.0
  • Resolution set to fixed
  • Status changed from assigned to closed

comment:8 Changed on Nov 25, 2010 at 12:40:15 PM by dkocher

  • Description modified (diff)

comment:9 Changed on Nov 25, 2010 at 1:35:53 PM by dkocher

  • Description modified (diff)

comment:10 Changed on Nov 25, 2010 at 1:38:01 PM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

I can replicate this issue with a filename that contains a [ that is not properly escaped in the response from a Microsoft-IIS/6.0 server, see #2931. What are the filenames of the folders in this case here?

comment:11 Changed on Nov 25, 2010 at 1:39:56 PM by dkocher

#2931 closed as duplicate.

comment:12 Changed on Nov 25, 2010 at 2:02:00 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r7772.

Note: See TracTickets for help on using tickets.
swiss made software